Bug 156108 - new port: net/tcpproxy, a simple tcp connection proxy for ipv4 and ipv6
Summary: new port: net/tcpproxy, a simple tcp connection proxy for ipv4 and ipv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dennis Herrmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-01 13:20 UTC by alex
Modified: 2011-04-03 12:30 UTC (History)
0 users

See Also:


Attachments
file.shar (3.04 KB, text/plain)
2011-04-01 13:20 UTC, alex
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description alex 2011-04-01 13:20:09 UTC
New Port: net/tcpproxy

tcpproxy is a simple tcp connection proxy which combines the features
of rinetd and 6tunnel. tcpproxy supports IPv4 and IPv6 and also supports
connections from IPv6 to IPv4 endpoints and vice versa.

WWW: http://www.spreadspace.org/tcpproxy/

Fix: # This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       tcpproxy
#       tcpproxy/files
#       tcpproxy/files/tcpproxy.in
#       tcpproxy/Makefile
#       tcpproxy/distinfo
#       tcpproxy/pkg-descr
#
echo c - tcpproxy
mkdir -p tcpproxy > /dev/null 2>&1
echo c - tcpproxy/files
mkdir -p tcpproxy/files > /dev/null 2>&1
echo x - tcpproxy/files/tcpproxy.in
sed 's/^X//' >tcpproxy/files/tcpproxy.in << '3fa981900f21f7cae9b9a957bc005980'
X#!/bin/sh
X#
X# PROVIDE: tcpproxy
X# REQUIRE: LOGIN
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf
X# to enable this service:
X#
X# tcpproxy_enable (bool):   Set to NO by default.
X#                           Set it to YES to enable tcpproxy.
X# tcpproxy_config (path):   Set to %%PREFIX%%/etc/tcpproxy.conf
X#                           by default.
X#
X
X. /etc/rc.subr
X
Xname="tcpproxy"
Xrcvar=${name}_enable
X
Xcommand=%%PREFIX%%/bin/${name}
Xpidfile=/var/run/${name}.pid
X
Xload_rc_config $name
X
X: ${tcpproxy_enable="NO"}
X: ${tcpproxy_config="%%PREFIX%%/etc/tcpproxy.conf"}
X
Xcommand_args="-P $pidfile -c $tcpproxy_config -u _tcpproxy -g _tcpproxy"
X
Xrun_rc_command "$1"
3fa981900f21f7cae9b9a957bc005980
echo x - tcpproxy/Makefile
sed 's/^X//' >tcpproxy/Makefile << 'd9c3e76413d6988a9a98b84d11c2fdc7'
X# New ports collection makefile for:   tcpproxy
X# Date created:                2011-03-30
X# Whom:                        Alexander Hausner <alex@hugo.bmg.gv.at>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      tcpproxy
XPORTVERSION=   1.0
XCATEGORIES=    net
XMASTER_SITES=  http://www.spreadspace.org/tcpproxy/releases/ \
X               http://alex.bmg.gv.at/programs/
X
XMAINTAINER=    alex@hugo.bmg.gv.at
XCOMMENT=       A simple tcp connection proxy for ipv4 and ipv6
X
XBUILD_DEPENDS= ragel:${PORTSDIR}/devel/ragel
X
XUSE_GMAKE=     yes
XHAS_CONFIGURE= yes
X
XUSERS=         _tcpproxy
XGROUPS=                _tcpproxy
X
XMAN8=          tcpproxy.8
X
XUSE_RC_SUBR=   tcpproxy
X
XWRKSRC=                ${WRKDIR}/${PORTNAME}-${PORTVERSION}/src
X
XPLIST_FILES=   bin/tcpproxy etc/tcpproxy_sample.conf
X
Xdo-install:
X       ${INSTALL_PROGRAM} ${WRKSRC}/tcpproxy ${PREFIX}/bin
X       ${INSTALL_DATA}  ${WRKDIR}/${PORTNAME}-${PORTVERSION}/contrib/example.conf ${PREFIX}/etc/tcpproxy_sample.conf
X       ${INSTALL_MAN} ${WRKDIR}/${PORTNAME}-${PORTVERSION}/doc/${MAN8} ${PREFIX}/man/man8
X
X.include <bsd.port.mk>
d9c3e76413d6988a9a98b84d11c2fdc7
echo x - tcpproxy/distinfo
sed 's/^X//' >tcpproxy/distinfo << '7ac5e450349bddc47b85d75236cd87ca'
XSHA256 (tcpproxy-1.0.tar.gz) = 8d21bca2849b87b05566549859666a8bde0e21ed1a304390a71a12929e937f70
XSIZE (tcpproxy-1.0.tar.gz) = 35946
7ac5e450349bddc47b85d75236cd87ca
echo x - tcpproxy/pkg-descr
sed 's/^X//' >tcpproxy/pkg-descr << '32436977b243a5d5d6cd26eac243c1a5'
Xtcpproxy is a simple tcp connection proxy which combines the features of
Xrinetd and 6tunnel. tcpproxy supports IPv4 and IPv6 and also supports
Xconnections from IPv6 to IPv4 endpoints and vice versa.
X
XWWW: http://www.spreadspace.org/tcpproxy/
32436977b243a5d5d6cd26eac243c1a5
exit

-------------------------------------------------------------------------------

You also need two patches for UIDs and GIDs:

--- UIDs.old    2011-04-01 14:03:10.087626921 +0200
+++ UIDs        2011-04-01 14:03:10.087626921 +0200
@@ -199,3 +199,4 @@
 get_iplayer:*:937:937::0:0:get_iplayer user:/nonexistent:/sbin/nologin
 vdr:*:938:938::0:0:vdr user:/nonexistent:/usr/sbin/nologin
 noip:*:939:939::0:0:noip user:/nonexistent:/usr/sbin/nologin
+_tcpproxy:*:940:940::0:0:tcpproxy user:/nonexistent:/usr/sbin/nologin

--- GIDs.old    2011-04-01 14:03:04.612021003 +0200
+++ GIDs        2011-04-01 14:03:04.612021003 +0200
@@ -191,3 +191,4 @@
 get_iplayer:*:937:
 vdr:*:938:
 noip:*:939:
+_tcpproxy:*:940:




Patch attached with submission follows:
How-To-Repeat: You also need two patches for UIDs and GIDs:

--- UIDs.old    2011-04-01 14:03:10.087626921 +0200
+++ UIDs        2011-04-01 14:03:10.087626921 +0200
@@ -199,3 +199,4 @@
 get_iplayer:*:937:937::0:0:get_iplayer user:/nonexistent:/sbin/nologin
 vdr:*:938:938::0:0:vdr user:/nonexistent:/usr/sbin/nologin
 noip:*:939:939::0:0:noip user:/nonexistent:/usr/sbin/nologin
+_tcpproxy:*:940:940::0:0:tcpproxy user:/nonexistent:/usr/sbin/nologin

--- GIDs.old    2011-04-01 14:03:04.612021003 +0200
+++ GIDs        2011-04-01 14:03:04.612021003 +0200
@@ -191,3 +191,4 @@
 get_iplayer:*:937:
 vdr:*:938:
 noip:*:939:
+_tcpproxy:*:940:
Comment 1 Dennis Herrmann freebsd_committer 2011-04-01 14:36:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-04-03 12:23:02 UTC
dhn         2011-04-03 11:22:54 UTC

  FreeBSD ports repository

  Modified files:
    net                  Makefile 
  Added files:
    net/tcpproxy         Makefile distinfo pkg-descr 
    net/tcpproxy/files   tcpproxy.in 
  Log:
  tcpproxy is a simple tcp connection proxy which combines the features of
  rinetd and 6tunnel. tcpproxy supports IPv4 and IPv6 and also supports
  connections from IPv6 to IPv4 endpoints and vice versa.
  
  WWW: http://www.spreadspace.org/tcpproxy/
  
  PR:             ports/156108
  Submitted by:   Alexander Hausner <alex@hugo.bmg.gv.at>
  
  Revision  Changes    Path
  1.2329    +1 -0      ports/net/Makefile
  1.1       +38 -0     ports/net/tcpproxy/Makefile (new)
  1.1       +2 -0      ports/net/tcpproxy/distinfo (new)
  1.1       +31 -0     ports/net/tcpproxy/files/tcpproxy.in (new)
  1.1       +5 -0      ports/net/tcpproxy/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2011-04-03 12:23:17 UTC
dhn         2011-04-03 11:22:59 UTC

  FreeBSD ports repository

  Modified files:
    .                    GIDs UIDs 
  Log:
  - Add _tcpproxy for new port net/tcpproxy
  
  PR:             ports/156108
  Submitted by:   Alexander Hausner <alex@hugo.bmg.gv.at>
  
  Revision  Changes    Path
  1.132     +2 -1      ports/GIDs
  1.146     +2 -1      ports/UIDs
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dennis Herrmann freebsd_committer 2011-04-03 12:23:41 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!